Debian Bug report logs - #589731
python-scipy: missing source for Cython-generated files

version graph

Package: src:python-scipy; Maintainer for src:python-scipy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 20 Jul 2010 13:09:01 UTC

Severity: serious

Found in versions python-scipy/0.10.1+dfsg1-1, python-scipy/0.7.2-1

Fixed in versions python-scipy/0.7.2+dfsg1-1, python-scipy/0.10.1+dfsg2-1

Done: Julian Taylor <jtaylor.debian@googlemail.com>

Bug is archived. No further changes may be made.

Forwarded to http://projects.scipy.org/scipy/ticket/1780

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#589731; Package src:python-scipy. (Tue, 20 Jul 2010 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 20 Jul 2010 13:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-scipy: missing source for Cython-generated files
Date: Tue, 20 Jul 2010 13:18:12 +0200
[Message part 1 (text/plain, inline)]
Source: python-scipy
Version: 0.7.2-1
Severity: serious
Justification: Policy 2.2.1

The source tarball contains two *.c files that were generated by Cython:

$ grep -r 'Generated by Cython' .
./scipy/spatial/ckdtree.c:/* Generated by Cython 0.12.1 on Mon Feb  8 18:11:01 2010 */
./scipy/stats/vonmises_cython.c:/* Generated by Cython 0.12.1 on Mon Feb  8 18:10:52 2010 */

However, there are Cython sources for these files included in the 
.orig.tar.gz.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#589731; Package src:python-scipy. (Tue, 20 Jul 2010 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 20 Jul 2010 17:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 589731@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 589731@bugs.debian.org
Subject: Re: Bug#589731: python-scipy: missing source for Cython-generated files
Date: Tue, 20 Jul 2010 17:11:38 +0200
[Message part 1 (text/plain, inline)]
* Jakub Wilk <jwilk@debian.org>, 2010-07-20, 13:18:
>However, there are Cython sources for these files included in the 
>.orig.tar.gz.

s/are/are no/

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from varun@users.alioth.debian.org to control@bugs.debian.org. (Fri, 30 Jul 2010 23:42:06 GMT) Full text and rfc822 format available.

Reply sent to Varun Hiremath <varun@debian.org>:
You have taken responsibility. (Sat, 31 Jul 2010 00:06:03 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 31 Jul 2010 00:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 589731-close@bugs.debian.org (full text, mbox):

From: Varun Hiremath <varun@debian.org>
To: 589731-close@bugs.debian.org
Subject: Bug#589731: fixed in python-scipy 0.7.2+dfsg1-1
Date: Sat, 31 Jul 2010 00:02:27 +0000
Source: python-scipy
Source-Version: 0.7.2+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
python-scipy, which is due to be installed in the Debian FTP archive:

python-scipy-dbg_0.7.2+dfsg1-1_amd64.deb
  to main/p/python-scipy/python-scipy-dbg_0.7.2+dfsg1-1_amd64.deb
python-scipy_0.7.2+dfsg1-1.debian.tar.gz
  to main/p/python-scipy/python-scipy_0.7.2+dfsg1-1.debian.tar.gz
python-scipy_0.7.2+dfsg1-1.dsc
  to main/p/python-scipy/python-scipy_0.7.2+dfsg1-1.dsc
python-scipy_0.7.2+dfsg1-1_amd64.deb
  to main/p/python-scipy/python-scipy_0.7.2+dfsg1-1_amd64.deb
python-scipy_0.7.2+dfsg1.orig.tar.gz
  to main/p/python-scipy/python-scipy_0.7.2+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Varun Hiremath <varun@debian.org> (supplier of updated python-scipy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Jul 2010 18:29:18 -0400
Source: python-scipy
Binary: python-scipy python-scipy-dbg
Architecture: source amd64
Version: 0.7.2+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Varun Hiremath <varun@debian.org>
Description: 
 python-scipy - scientific tools for Python
 python-scipy-dbg - scientific tools for Python - debugging symbols
Closes: 589731 590763
Changes: 
 python-scipy (0.7.2+dfsg1-1) unstable; urgency=low
 .
   * Release with a new source tarball with missing cython source files
   * debian/rules: Add get-orig-source target
   * Add debian/README.source explaining the repackaging of source tarball
   * Add debian/orig-tar.sh to add missing cython source files to the
     source tarball (Closes: #589731)
   * debian/rules: add call to dh_numpy to generate stricter versioned
     depends on python-numpy (Closes: #590763)
   * Bump Standards-Version to 3.9.1
   * Add myself to Uploaders
Checksums-Sha1: 
 7ef3e651b04e983ed1b7ebad28894f4285af098d 1805 python-scipy_0.7.2+dfsg1-1.dsc
 558eff6a9481310412f4afa30b200787e12c6908 4651354 python-scipy_0.7.2+dfsg1.orig.tar.gz
 1865ca7779ff4b6a2e30ae1dcb52f5fc1c782db9 10210 python-scipy_0.7.2+dfsg1-1.debian.tar.gz
 6e85a1ce3461e13f7b7838154cefcfc7b8cbda79 10276472 python-scipy_0.7.2+dfsg1-1_amd64.deb
 9b2b8c7a208baf1782578a8ba86538dca9aa03ae 24036214 python-scipy-dbg_0.7.2+dfsg1-1_amd64.deb
Checksums-Sha256: 
 cc896520f89ade4b6406cb3c8a4bd26389f7747c016eed8c7fc8b768f1543607 1805 python-scipy_0.7.2+dfsg1-1.dsc
 922d93c19de2ef004ffa2888465592aaf20c26b1a6c2d8c3cd5bad8a1710e361 4651354 python-scipy_0.7.2+dfsg1.orig.tar.gz
 4d7aa5841e6eecc5b7c5c236117ee2d733f026b75416d7bfeb87f66a6bc3e61f 10210 python-scipy_0.7.2+dfsg1-1.debian.tar.gz
 f6b02c73589a41d989ea25b45e6232c8f9e64514785b1e5edfcdcca2b54a53cd 10276472 python-scipy_0.7.2+dfsg1-1_amd64.deb
 39322f21e550e0bd2e4656e4d65475e4a024f60264111f61ce47f5335c97c165 24036214 python-scipy-dbg_0.7.2+dfsg1-1_amd64.deb
Files: 
 78e052320ba138182235480624740021 1805 python extra python-scipy_0.7.2+dfsg1-1.dsc
 5f5a625ba5ae9dc08fd88c3f2115b74b 4651354 python extra python-scipy_0.7.2+dfsg1.orig.tar.gz
 eebed0aa889fd8140cd5746294efde50 10210 python extra python-scipy_0.7.2+dfsg1-1.debian.tar.gz
 6005a2f92886b64bcfaed84ada6dd9dd 10276472 python extra python-scipy_0.7.2+dfsg1-1_amd64.deb
 5530d8c6471a9f353aa8ec74209c252b 24036214 debug extra python-scipy-dbg_0.7.2+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFMU2OBPEFSUMxFMZcRAu7PAJ9Zuj9u9Uw3czgxEFtajhR/PN9TewCfUarz
/X0cAMvBx6RsnpZEXvoWA5M=
=A4DB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Sep 2010 07:31:55 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Wed, 28 Nov 2012 21:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#589731; Package src:python-scipy. (Wed, 28 Nov 2012 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 28 Nov 2012 21:54:03 GMT) Full text and rfc822 format available.

Message #26 received at 589731@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 589731@bugs.debian.org
Cc: control@bugs.debian.org
Subject: missing files again
Date: Wed, 28 Nov 2012 22:51:27 +0100
found 589731 0.10.1+dfsg1-1
thanks

$ head debian/changelog 
python-scipy (0.10.1+dfsg1-4) unstable; urgency=low

$ grep -rl 'Generated by Cython' . | sed -e 's,\.c,\.pyx,g' | xargs ls -1
ls: cannot access ./scipy/io/matlab/mio_utils.pyx: No such file or directory
ls: cannot access ./scipy/io/matlab/streams.pyx: No such file or directory
ls: cannot access ./scipy/io/matlab/mio5_utils.pyx: No such file or directory
ls: cannot access ./scipy/signal/spectral.pyx: No such file or directory
ls: cannot access ./scipy/special/lambertw.pyx: No such file or directory
ls: cannot access ./scipy/special/orthogonal_eval.pyx: No such file or directory
./scipy/spatial/ckdtree.pyx
./scipy/stats/vonmises_cython.pyx


they exist in upstream git.



Marked as found in versions python-scipy/0.10.1+dfsg1-1 and reopened. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Wed, 28 Nov 2012 21:54:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://projects.scipy.org/scipy/ticket/1780'. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Wed, 28 Nov 2012 22:03:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from jtaylor-guest@users.alioth.debian.org to control@bugs.debian.org. (Thu, 29 Nov 2012 22:39:12 GMT) Full text and rfc822 format available.

Reply sent to Julian Taylor <jtaylor.debian@googlemail.com>:
You have taken responsibility. (Mon, 21 Jan 2013 03:51:08 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 21 Jan 2013 03:51:08 GMT) Full text and rfc822 format available.

Message #37 received at 589731-close@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 589731-close@bugs.debian.org
Subject: Bug#589731: fixed in python-scipy 0.10.1+dfsg2-1
Date: Mon, 21 Jan 2013 03:47:56 +0000
Source: python-scipy
Source-Version: 0.10.1+dfsg2-1

We believe that the bug you reported is fixed in the latest version of
python-scipy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Taylor <jtaylor.debian@googlemail.com> (supplier of updated python-scipy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Nov 2012 21:56:31 +0100
Source: python-scipy
Binary: python-scipy python3-scipy python-scipy-dbg python3-scipy-dbg
Architecture: source amd64
Version: 0.10.1+dfsg2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Julian Taylor <jtaylor.debian@googlemail.com>
Description: 
 python-scipy - scientific tools for Python
 python-scipy-dbg - scientific tools for Python - debugging symbols
 python3-scipy - scientific tools for Python 3
 python3-scipy-dbg - scientific tools for Python 3 - debugging symbols
Closes: 589731
Changes: 
 python-scipy (0.10.1+dfsg2-1) unstable; urgency=low
 .
   * add missing cython and swig sources from git tag (Closes: #589731)
   * generate cython c files, requires python-mako and cython build depends
   * ensure that all swig files are regenerated
   * update debian/orig-tar.sh appropriately
   * interpnd-generator.patch: fix the interpnd.pyx generation
Checksums-Sha1: 
 950cf978ef7f6fc0f08652c33bffd2ab47dd02b7 2022 python-scipy_0.10.1+dfsg2-1.dsc
 322f21cb23cd0650b0124624f23f17a1e63c4e06 6425548 python-scipy_0.10.1+dfsg2.orig.tar.gz
 bf7157f413859804420ef8312cd9a699e7a53f6a 14400 python-scipy_0.10.1+dfsg2-1.debian.tar.gz
 0185a70cc3bdf7b110362957621b885b6d20cce1 12358744 python-scipy_0.10.1+dfsg2-1_amd64.deb
 5de263a7ba27f7a005524a5e90207223932813ab 7166218 python3-scipy_0.10.1+dfsg2-1_amd64.deb
 35b8cf0129ae2716c5ab5450cc4722a9e86e47a1 29515206 python-scipy-dbg_0.10.1+dfsg2-1_amd64.deb
 b6cb327384619641b7dc83b991dff7903346565c 14898290 python3-scipy-dbg_0.10.1+dfsg2-1_amd64.deb
Checksums-Sha256: 
 e1829a805262fd0ee1d4d8fc8ea1c4aa1faf1fd9515a297ed9d25e98b3beb6a0 2022 python-scipy_0.10.1+dfsg2-1.dsc
 d607c69e6f27ac8ea64d191b8c2e08c3c91010f439aec1d0c84bfed52a072c55 6425548 python-scipy_0.10.1+dfsg2.orig.tar.gz
 21498c134248c83bba75af7694dfd531328f1976917da1b91f363182546798bf 14400 python-scipy_0.10.1+dfsg2-1.debian.tar.gz
 592a0d4573c8229b40ce0b334d044c7e044199648f3f97c2cf120a9e1329dafd 12358744 python-scipy_0.10.1+dfsg2-1_amd64.deb
 f872a8144a5eb5e182ed0053151da0aa8f9480cdbdd3fb46c3566d25c0a9586d 7166218 python3-scipy_0.10.1+dfsg2-1_amd64.deb
 8f9419aacc6380d028b84894d07db00e6f51767659df95f1a1ad3b1affd515fe 29515206 python-scipy-dbg_0.10.1+dfsg2-1_amd64.deb
 6f4b7eae9624b87d9eee5d65817c6ad1a1815179ddc833e0a7efd26c894455a4 14898290 python3-scipy-dbg_0.10.1+dfsg2-1_amd64.deb
Files: 
 57c64e9a93546c5dd39922f0a8bb09ca 2022 python extra python-scipy_0.10.1+dfsg2-1.dsc
 078235d025ec3b15422d18712a0e139a 6425548 python extra python-scipy_0.10.1+dfsg2.orig.tar.gz
 9193bbd1b37fd2f71cfb1d5b3c929fec 14400 python extra python-scipy_0.10.1+dfsg2-1.debian.tar.gz
 ef77cbc7c9eab5132e7d221577bf67cf 12358744 python extra python-scipy_0.10.1+dfsg2-1_amd64.deb
 99c0599d6e4a269cf266687bb4ff18de 7166218 python extra python3-scipy_0.10.1+dfsg2-1_amd64.deb
 de8fd3df9d9534fbf1f868d39f408edf 29515206 debug extra python-scipy-dbg_0.10.1+dfsg2-1_amd64.deb
 596fd388832cb2a1e66d1f3e18f05978 14898290 debug extra python3-scipy-dbg_0.10.1+dfsg2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD8tvsACgkQjRFFY3XAJMjKaACfYVjNIuyuk/E/x+uwYkcK8w5J
H0kAniKIsUkUTbmr6judBsBfmbD+Zf3F
=Hi9j
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#589731; Package src:python-scipy. (Sat, 26 Jan 2013 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 26 Jan 2013 15:09:05 GMT) Full text and rfc822 format available.

Message #42 received at 589731@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Jonathan Wiltshire <jmw@debian.org>
Cc: 589731@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: python-scipy: missing source for Cython-generated files
Date: Sat, 26 Jan 2013 16:04:23 +0100
On 01/26/2013 03:41 PM, Jonathan Wiltshire wrote:
> I'd like to see this fixed in wheezy but the diff is too large; how much of
> this is necessary to get the source into the package and close this bug only?
> 

everything but the regeneration in debian/rules and the interp patch.
But it means fixing bugs/security issues post release will be hard and
we don't profit from the cython bugfixes since the files were generated
(we have no reports of issues related to that). Most were generated with
cython 0.15 whereas wheezy has 0.15.1.

In my opinion just adding the sources without using them is just
orig-tar cosmetics we might as well wheezy-ignore.

see also bug 694761
http://lists.debian.org/debian-release/2012/11/msg01236.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#589731; Package src:python-scipy. (Sat, 26 Jan 2013 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 26 Jan 2013 15:12:03 GMT) Full text and rfc822 format available.

Message #47 received at 589731@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 589731@bugs.debian.org, Julian Taylor <jtaylor.debian@googlemail.com>
Cc: debian-release@lists.debian.org
Subject: Re: python-scipy: missing source for Cython-generated files
Date: Sat, 26 Jan 2013 14:41:06 +0000
[Message part 1 (text/plain, inline)]
On Mon, Jan 21, 2013 at 03:51:08AM +0000, Debian Bug Tracking System wrote:
>  python-scipy (0.10.1+dfsg2-1) unstable; urgency=low
>  .
>    * add missing cython and swig sources from git tag (Closes: #589731)
>    * generate cython c files, requires python-mako and cython build depends
>    * ensure that all swig files are regenerated
>    * update debian/orig-tar.sh appropriately
>    * interpnd-generator.patch: fix the interpnd.pyx generation

I'd like to see this fixed in wheezy but the diff is too large; how much of
this is necessary to get the source into the package and close this bug only?


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Feb 2013 07:26:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:40:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.